/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.api.dataSets.service;

import net.northking.cctp.common.http.ResultWrapper;
import net.northking.cctp.dataPool.dto.dataSets.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 数据集环境关联表Restful逻辑接口
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface DataSetEnvRelApiService
{

  List<DataSetsSaveDto> queryList(DataSetEnvRelQueryDto queryDto);

  ResultWrapper<List<String>> saveBatch(DataSetEnvRelAddDto addDto);

  DataSetsSaveDto importExcel(MultipartFile file, String dataSetId, String envId,String tableHeaders);

  void exportExcel(HttpServletResponse response, DataSetEnvRelQueryDto dataSetEnvRelQueryDto);

  AtuScriptInputSetQuoteFieldDto selectDataUrlAndTreeName(AtuScriptInputSetQuoteFieldDto atuScriptInputSetQuoteFieldDto);

  Map<String,AtuScriptInputSetQuoteFeignDto> getDataSetFile(AtuDataSetFeignDto dto);
}
